Bug 44008

Summary: Data Validation could not be accomplished in POI 3.0
Product: POI Reporter: Ragupathi P <ragupathi.p>
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.0-FINAL   
Target Milestone: ---   
Hardware: All   
OS: Windows XP   

Description Ragupathi P 2007-12-03 01:01:19 UTC
The data validation functionalities of Excel could not be accomplished in POI 
3.0. There is indeed a previous bug relating to this (Bugzilla # 27511). A fix 
is also been provided there. But the fix provided there works only with POI 
2.5.x. The additional class files provided there HSSFDataValidation, 
DVALRecord,  DVRecord) tries to call some methods in the base classes of this 
API, but unfortunately methods with the required signatures no longer exist in 
POI 3.0. Hence trying to compile these classes throws exceptions (shown below).

"DVRecord.java": org.apache.poi.hssf.record.DVRecord should be declared 
abstract; it does not define fillFields
(org.apache.poi.hssf.record.RecordInputStream) in 
org.apache.poi.hssf.record.Record at line 38, column 1
"DVRecord.java": cannot resolve symbol: constructor Record (short,short,byte[])
in class org.apache.poi.hssf.record.Record at line 137, column 9
"DVRecord.java": cannot resolve symbol: constructor Record (short,short,byte 
[],int)in class org.apache.poi.hssf.record.Record at line 150, column 9
"DVRecord.java": createPtg(org.apache.poi.hssf.record.RecordInputStream) in 
org.apache.poi.hssf.record.formula.Ptg cannot be applied to (byte[],int) at 
line 198, column 26

Is there way through which these Data Validation features could be implemented 
in POI 3.0?
Comment 1 Nick Burch 2007-12-21 04:29:17 UTC
The DVRecord and DVALRecord patches from bug 27511 were updated to the latest
API and applied a little while ago (check svn trunk). Do they now do all that
you need?
Comment 2 Nick Burch 2008-01-07 05:20:58 UTC
Guessing they do :)

Re-open if there's still something missing